HWeb - Feature #926

VersionedRecord's record key
2012-08-22 14:11 - Elmer de Looff

Status: Closed Start date: 2012-08-22
Priority: Normal Due date:

Assignee: Elmer de Looff % Done: 100%
Category: Model Estimated time: 0.00 hour
Target version: UWeb beta release Spent time: 1.00 hour
Description

The name for this key should default to the table name + ID.

This means that a record class Author(VersionedRecord) by default will have a record key authorID. If the developer provides
another table name (for instance 'writer'), then the record key should change accordingly (in this case: writerID).

Associated revisions

Revision 286:2f239384878f - 2012-08-22 15:13 - Elmer de Looff

Expanded test suite for the database model significantly. Changed behaviour of VersionedRecord's key such that the default is the local table name +
ID. Defining _RECORD_KEY overrides this behavior (tests have been added to verify this). This resolves #926.

History

#1 - 2012-08-22 16:00 - Elmer de Looff

- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset 2{239384878f.

#2 - 2012-08-23 17:11 - Elmer de Looff

- Status changed from Resolved to Closed

- % Done changed from 70 to 100

This is done.
